%define pypi_name Djblets
%define subrel 1

Name:           python-djblets
Version:        0.7.30
Release:        %mkrel 1
Group:          Development/Python
Summary:        A collection of useful classes and functions for Django

License:        MIT
URL:            http://pypi.python.org/pypi/%{pypi_name}
Source0:        http://downloads.reviewboard.org/releases/%{pypi_name}/0.7/%{pypi_name}-%version.tar.gz
Source1:        https://pypi.python.org/packages/source/d/django-pipeline/django-pipeline-1.2.24.tar.gz
Patch0:         Djblets-0.7.21-change-pil-to-pillow.patch
BuildArch:      noarch

BuildRequires:  pkgconfig(python)
BuildRequires:  python-setuptools
BuildRequires:  pythonegg(2)(django-pipeline) = 1.2.24
BuildRequires:  python-django14 < 1.4.14
Requires:       python-django14

%description
A collection of useful classes and functions for Django


%package -n python-django14-pipeline
Summary:        Pipeline is an asset packaging library for Django14
Group:          Development/Python
Provides:       python-django-pipeline = 1.2.24-%{release}
Obsoletes:      python-django-pipeline < 1.2.24
Conflicts:      python-django-pipeline >= 1.2.24

%description -n python-django14-pipeline
An asset packaging library for Django14 and for python-djblets 


%prep
%setup -q -b 1 -n django-pipeline-1.2.24
%setup -q -n %{pypi_name}-%{version}

# Remove packaged egg-info so it's regenerated by setup.py
rm -Rf Djblets*.egg-info

%apply_patches

%build
%{__python} setup.py build


pushd ../django-pipeline-1.2.24
rm -rf django_pipeline.egg-info
%{__python} setup.py build
popd


%install
pushd ../django-pipeline-1.2.24
%{__python} setup.py install --skip-build --root %{buildroot}
popd


%{__python} setup.py install -O1 --skip-build --root %{buildroot}

# Remove bundled copy of feedparser.py
rm -f $RPM_BUILD_ROOT%{python_sitelib}/djblets/feedview/feedparser.py*
rm -rf $RPM_BUILD_ROOT%{python_sitelib}/tests

%files
%{python_sitelib}/%{pypi_name}*
%{python_sitelib}/djblets*


%files -n python-django14-pipeline
%{python_sitelib}/django_pipeline*
%{python_sitelib}/pipeline



%changelog
* Fri Sep 05 2014 philippem <philippem> 0.7.30-1.1.mga4
+ Revision: 672190
- rebuild with django-pipeline-1.2.24 to fix CVE-2014-3994 and CVE-2014-3995 (mga#13504)
- bootstrap python-django14-pipeline for mga#13504

* Thu Jan 09 2014 philippem <philippem> 0.7.28-2.mga4
+ Revision: 565962
- fix requires

* Sat Jan 04 2014 philippem <philippem> 0.7.28-1.mga4
+ Revision: 564599
- remove no longer need patches
- change requires on django14, remove no longer need patches

  + shlomif <shlomif>
    - New version 0.7.28
    - Remove trailing whitespace

* Thu Oct 24 2013 neoclust <neoclust> 0.7.21-5.mga4
+ Revision: 546819
- Relax pipeline require

* Tue Oct 22 2013 umeabot <umeabot> 0.7.21-4.mga4
+ Revision: 546203
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 neoclust <neoclust> 0.7.21-3.mga4
+ Revision: 502285
- Change requires from pil to pillow

* Thu Oct 17 2013 neoclust <neoclust> 0.7.21-2.mga4
+ Revision: 502271
- Remove bundled copy of feedparser.py

* Thu Oct 17 2013 neoclust <neoclust> 0.7.21-1.mga4
+ Revision: 502266
- Fix for non python3 build
- Fix Build
- imported package python-djblets

